--- title: "updateJobExecutionConfig" slug: "analytics-dataflow-updatejobexecuteconfig" updated: 2026-10-08T04:22:32Z published: 2026-10-08T04:22:32Z canonical: "api.ncloud-docs.com/analytics-dataflow-updatejobexecuteconfig" --- > ## Documentation Index > Fetch the complete documentation index at: https://api.ncloud-docs.com/llms.txt > Use this file to discover all available pages before exploring further. # updateJobExecutionConfig Available in VPC Edit job execution options. ## Request This section describes the request format. The method and URI are as follows: | Method | URI | | --- | --- | | PUT | /api/v1/jobs/{jobId}/executions | ### Request headers For information about the request headers common to all Data Flow APIs, see [Data Flow request headers](/docs/en/analytics-dataflow#%EC%9A%94%EC%B2%AD%ED%97%A4%EB%8D%94). ### Request path parameters You can use the following path parameters with your request: | Field | Type | Required | Description | | --- | --- | --- | --- | | `jobId` | String | Required | Job ID - See [getJobs](/docs/en/analytics-dataflow-getjobs). | ### Request body You can include the following data in the body of your request: | Field | Type | Required | Description | | --- | --- | --- | --- | | `jobCondition` | Object | Required | Job execution settings - Fields omitted internally retain the existing execution settings. | | `jobCondition.numWorker` | Integer | Optional | Number of workers - 2-10 | | `jobCondition.timeout` | Integer | Optional | Execution timeout (minute) - 1-1440 | | `jobCondition.nrn` | String | Optional | NAVER Cloud Platform resource identification value for job | | `jobCondition.scriptPath` | String | Optional | Path where the job execution script is saved - If you change it, the saved script will be moved to the new path. | | `jobCondition.logPath` | String | Optional | Job execution history storage path | | `jobCondition.parameters` | Object | Optional | Job parameters (`SCRIPT` jobs only) - Key-value type string map. - When passed, it replaces all stored parameters with the request values (keys can be added or deleted). | ### Request example The request example is as follows: ``` curl --location --request PUT 'https://dataflow.apigw.ntruss.com/api/v1/jobs/5Yns7J******/executions' \ --header 'x-ncp-apigw-timestamp: {Timestamp}' \ --header 'x-ncp-iam-access-key: {Access Key}' \ --header 'x-ncp-apigw-signature-v2: {API Gateway Signature}' \ --data '{ "jobCondition": { "numWorker": 4, "timeout": 720, "parameters": { "target_date": "2025-03-22", "input_path": "aitems/sales/", "output_format": "parquet" } } }' ``` ## Response This section describes the response format. ### Response body The response body includes the following data: | Field | Type | Required | Description | | --- | --- | --- | --- | | `jobId` | String | - | Job ID | | `name` | String | - | Job name | | `type` | String | - | Job type - `VISUAL` \| `SCRIPT` | | `status` | String | - | Job status - `READY` - `READY`: Job execution available. | | `maxConcurrentRuns` | Integer | - | Maximum number of concurrent executions | | `nodes` | Array | - | Job node information - See [ETLJobNode](/docs/en/common-vapidatatype-dataflowetljobnode). | | `runCondition` | Object | - | Job execution option | | `runCondition.numWorker` | Integer | - | Number of workers - 2-10 | | `runCondition.timeout` | Integer | - | Execution timeout (minute) - 1-1440 | | `runCondition.nrn` | String | - | NAVER Cloud Platform resource identification value for job | | `runCondition.scriptPath` | String | - | Job execution script storage path | | `runCondition.logPath` | String | - | Job execution history storage path | | `runCondition.parameters` | Object | - | Default parameters stored in the job - Key-value type string map | | `createdDate` | String | - | Job creation date and time - ISO 8601 format (including UTC+9) | | `updatedDate` | String | - | Job modification date and time - ISO 8601 format (including UTC+9) | ### Response status codes For information about the response status codes common to all Data Flow APIs, see [Data Flow response status codes](/docs/en/analytics-dataflow#%EC%9D%91%EB%8B%B5%EC%83%81%ED%83%9C%EC%BD%94%EB%93%9C). ### Response example The response example is as follows: ``` { "jobId": "5Yns7J******", "name": "daily_sales_job", "type": "SCRIPT", "status": "READY", "maxConcurrentRuns": 3, "nodes": [], "runCondition": { "numWorker": 4, "timeout": 720, "nrn": "nrn:PUB:IAM::*******:Role/********", "scriptPath": "dataflow-2706412-****/scripts/", "logPath": "dataflow-2706412-****/sparkHistoryLogs/", "parameters": { "target_date": "2025-03-22", "input_path": "aitems/sales/", "output_format": "parquet" } }, "createdDate": "2025-03-21T10:02:02+09:00", "updatedDate": "2025-03-22T09:15:40+09:00" } ```